{
  "name": "vite-vue3-ts-antd3-template",
  "author": "ivoryCat",
  "private": true,
  "version": "1.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "build:dev": "vite build --mode development",
    "preview": "vite preview",
    "eslint": "eslint src --ext .js,.vue,.ts,.jsx,.tsx --ignore-path .gitignore --fix",
    "prettier": "prettier --write \"./**/*.{html,vue,ts,js,json,md}\"",
    "lint:style": "stylelint \"./**/*.{css,less,vue,html}\" --fix",
    "prepare": "husky install",
    "pre-commit": "lint-staged",
    "commit": "git-cz",
    "commitlint": "commitlint --config .commitlint.config.cjs -e -V"
  },
  "config": {
    "commitizen": {
      "path": "node_modules/cz-customizable"
    },
    "cz-customizable": {
      "config": ".cz-config.cjs"
    }
  },
  "dependencies": {
    "@ant-design/icons-vue": "^7.0.1",
    "ant-design-vue": "4.x",
    "axios": "^1.6.8",
    "dayjs": "^1.11.12",
    "pinia": "^2.1.7",
    "unocss": "^0.58.6",
    "vue": "^3.4.32",
    "vue-request": "^2.0.4",
    "vue-router": "^4.3.0"
  },
  "devDependencies": {
    "@commitlint/cli": "^18.6.1",
    "@commitlint/config-conventional": "^18.6.2",
    "@iconify-json/bi": "^1.1.23",
    "@iconify-json/openmoji": "^1.1.49",
    "@iconify/json": "^2.2.193",
    "@types/node": "^20.11.28",
    "@typescript-eslint/eslint-plugin": "^6.21.0",
    "@typescript-eslint/parser": "^6.21.0",
    "@unocss/preset-icons": "^0.58.6",
    "@unocss/preset-rem-to-px": "^0.61.5",
    "@vitejs/plugin-vue": "^4.5.2",
    "commitizen": "^4.3.0",
    "commitlint": "^18.6.1",
    "commitlint-config-cz": "^0.13.3",
    "commitlint-config-gitmoji": "^2.3.1",
    "cz-conventional-changelog": "^3.3.0",
    "cz-customizable": "^7.0.0",
    "eslint": "^8.56.0",
    "eslint-plugin-vue": "^9.21.1",
    "fast-glob": "^3.3.2",
    "husky": "^8.0.3",
    "less": "^4.2.0",
    "lint-staged": "^15.2.2",
    "postcss": "^8.4.35",
    "postcss-html": "^1.6.0",
    "postcss-less": "^6.0.0",
    "prettier": "^3.2.5",
    "stylelint": "^16.2.1",
    "stylelint-config-recommended-less": "^3.0.1",
    "stylelint-config-standard": "^36.0.0",
    "stylelint-config-standard-vue": "^1.0.0",
    "stylelint-less": "^3.0.1",
    "stylelint-order": "^6.0.4",
    "typescript": "^5.2.2",
    "unplugin-auto-import": "^0.18.0",
    "unplugin-icons": "^0.18.5",
    "unplugin-vue-components": "^0.26.0",
    "vite": "^5.0.8",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-global-api": "^0.4.1",
    "vue-tsc": "^1.8.25"
  },
  "packageManager": "pnpm@9.12.3+sha512.cce0f9de9c5a7c95bef944169cc5dfe8741abfb145078c0d508b868056848a87c81e626246cb60967cbd7fd29a6c062ef73ff840d96b3c86c40ac92cf4a813ee"
}
